#include "postgres.h"
#include "fmgr.h"

static int32 row = 0;

PG_FUNCTION_INFO_V1(row_no);

Datum
row_no()
{
	row += 1;
	PG_RETURN_INT32(row);
}

PG_FUNCTION_INFO_V1(reset_row);

Datum
reset_row()
{
	row = 0;
	PG_RETURN_INT32(row);
}
